Summary: A utility for converting FIG files (made by xfig) to other formats.
Name: transfig
Version: 3.2.1
Release: 3
Copyright: distributable
Group: Applications/Multimedia
Source: ftp://ftp.x.org/contrib/applications/drawing_tools/transfig/transfig.%{PACKAGE_VERSION}.tar.gz
Patch0: transfig-3.2.1-imake.patch
Buildroot: /var/tmp/transfig-root

%description
The transfig utility creates a makefile which translates FIG (created
by xfig) or PIC figures into a specified LaTeX graphics language (for
example, PostScript(TM)).  Transfig is used to create TeX documents
which are portable (i.e., they can be printed in a wide variety of
environments).

%prep
%setup -q -n transfig.%{PACKAGE_VERSION}
#%patch0 -p1

%build
xmkmf
make Makefiles

%ifarch alpha
make EXTRA_DEFINES="-Dcfree=free"
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin install
make MANSOURCEPATH=$RPM_BUILD_ROOT/usr/X11R6/man/man install.man

# Dunno why these are not installed
for i in fig2ps2tex fig2ps2tex.sh pic2tpic
do
	install -c -m 755 fig2dev/$i.script $RPM_BUILD_ROOT/usr/X11R6/bin/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES NOTES README
/usr/X11R6/bin/transfig
/usr/X11R6/bin/fig2dev
/usr/X11R6/bin/fig2ps2tex
/usr/X11R6/bin/fig2ps2tex.sh
/usr/X11R6/bin/pic2tpic
/usr/X11R6/man/man1/fig2dev.1x
/usr/X11R6/man/man1/fig2ps2tex.1x
/usr/X11R6/man/man1/pic2tpic.1x
/usr/X11R6/man/man1/transfig.1x

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.2.1.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- add %clean.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- fixed problem with Imakefile for fig2dev not including $(XLIB)
- build rooted.

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- recreated the glibc patch that is needed for an alpha build, missed it
  building on the intel.

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed source url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
